=== debian/changelog ===
glite-lb-doc (1.3.4-1) unstable; urgency=low

  * Automatically generated package

 -- CESNET Product Teams <emi-lb@metacentrum.cz>  Tue, 01 May 2012 21:45:54 +0200
