=== debian/control ===
Source: glite-lb-doc
Priority: extra
Maintainer: CESNET Product Teams <emi-lb@metacentrum.cz>
Uploaders: František Dvořák <valtri@civ.zcu.cz>
Build-Depends: debhelper (>= 7.0.50~)
Standards-Version: 3.9.1
Section: doc
Homepage: http://glite.cern.ch
DM-Upload-Allowed: yes
Vcs-Cvs: :pserver:anonymous@jra1mw.cvs.cern.ch:/cvs/jra1mw
Vcs-Browser: http://jra1mw.cvs.cern.ch/cgi-bin/jra1mw.cgi

Package: glite-lb-doc
Section: doc
Architecture: all
Depends: ${misc:Depends}
Description: gLite Logging and Bookkeeping documentation
 glite-lb-doc is a package containing the complete LB documentation. This
 package contains the LB User's Guide (LBUG.pdf), LB Administrator's Guide
 (LBAG.pdf), LB Developer's Guide (LBDG.pdf) and LB Test Plan
 (LBTP.pdf).
