## glite-lb-doc 1.3.5

=== debian/changelog ===
glite-lb-doc (1.3.5-1) unstable; urgency=low

  * Automatically generated package

 -- CESNET Product Teams <emi-lb@metacentrum.cz>  Thu, 26 Jul 2012 12:27:29 +0200
