## glite-lb-doc 1.4.1

=== Makefile ===
--- 
+++ 
@@ -8,12 +8,18 @@
 PREFIX=/opt/glite
 prefix=
 
+default: all
+
 -include Makefile.inc
 -include ${top_srcdir}/project/version.properties
 
 version=${module.version}
 
 VPATH = ${top_srcdir}/src
+SOURCES=\
+	examples/*.c examples/*.cpp examples/Makefile examples/README* examples/*.C \
+	src/lbjp.bib src/*.cls src/*.sty src/*.tex src/*.tex.T src/README* src/images/*.pdf \
+	GGUS19469-reply.txt LICENSE Makefile
 # example source code is part of the org.glite.lb.client
 EXAMPLE_SOURCE_DIR=${top_srcdir}/examples
 KPATH = TEXINPUTS=".:$(EXAMPLE_SOURCE_DIR):$(VPATH)//:"
@@ -26,9 +32,9 @@
 AT3=${stagedir}${prefix}/sbin/glite-lb-at3
 INSTALL=install
 
-default all: generate doc
+all: generate doc
 
-generate: events.tex status.tex ver.tex
+generate: events.tex status.tex ver.tex nameslists.tex
 
 doc: LBUG.pdf LBAG.pdf LBDG.pdf LBTP.pdf LBTG.pdf
 
@@ -78,7 +84,8 @@
 	done
 
 clean:
-	rm -rvf LBUG* LBAG* LBDG* LBTP* events.tex status.tex ver.tex comment*
+	rm -rvf LBUG* LBAG* LBDG* LBTP* LBTG* events.tex status.tex nameslists.tex ver.tex comment*
+	rm -rvf dist ${package}-*.tar.gz
 
 distclean:
 	rm -rvf Makefile.inc *.spec debian/
@@ -101,7 +108,7 @@
 	LBUG-Introduction.tex components.tex \
 	LBUG-Tools.tex logevent.tex https_configuration.tex notify.tex log_usertag.tex change_acl.tex \
 	LBUG-Troubleshooting.tex \
-	LBUG-Appendix.tex events.tex status.tex faq.tex
+	LBUG-Appendix.tex events.tex status.tex nameslists.tex faq.tex
 
 LBAG.pdf: ${COMMON} \
 	LBAG.tex \
@@ -136,4 +143,4 @@
 	LBTG-Abstract.tex \
 	LBAG-Troubleshooting.tex
 
-.PHONY: default all generate doc stage check install clean distclean doc
+.PHONY: default all generate doc stage check install clean distclean doc dist distcheck
