=== debian/rules ===
--- 
+++ 
@@ -36,7 +36,7 @@
 	dh_prep
 	dh_installdirs
 	$(MAKE) install DESTDIR=$(CURDIR)/debian/tmp
-	mv $(CURDIR)/debian/tmp/usr/share/doc/glite-lb-doc-1.3.5 $(CURDIR)/debian/tmp/usr/share/doc/glite-lb-doc
+	mv $(CURDIR)/debian/tmp/usr/share/doc/glite-lb-doc-1.4.1 $(CURDIR)/debian/tmp/usr/share/doc/glite-lb-doc
 	(cd $(CURDIR)/debian/tmp/usr/share/doc/glite-lb-doc; \
 	 rm -fv ChangeLog LICENSE; \
 	 cat $(CURDIR)/project/ChangeLog | gzip -9 > changelog.gz)
