## glite-lb-doc 1.4.14

=== Makefile ===
--- 
+++ 
@@ -19,7 +19,7 @@
 SOURCES=\
 	examples/*.c examples/*.cpp examples/Makefile examples/README* examples/*.C \
 	src/lbjp.bib src/*.cls src/*.sty src/*.tex src/*.tex.T src/README* src/images/*.pdf \
-	GGUS19469-reply.txt LICENSE Makefile
+	GGUS19469-reply.txt Makefile
 # example source code is part of the org.glite.lb.client
 EXAMPLE_SOURCE_DIR=${top_srcdir}/examples
 KPATH = TEXINPUTS=".:$(EXAMPLE_SOURCE_DIR):$(VPATH)//:"
@@ -29,7 +29,7 @@
 PDFLATEX = $(KPATH) pdflatex
 BIBTEX = $(KPATHBIB) bibtex
 DVIPS = $(KPATH) dvips
-AT3=${stagedir}${prefix}/sbin/glite-lb-at3
+AT3=${stagedir}${prefix}/bin/glite-lb-at3
 INSTALL=install
 
 all: generate doc
@@ -69,8 +69,6 @@
 
 install:
 	-mkdir -p ${DESTDIR}${PREFIX}${prefix}/share/doc/${package}-${version}/examples
-	${INSTALL} -m 644 ${top_srcdir}/LICENSE ${DESTDIR}${PREFIX}${prefix}/share/doc/${package}-${version}
-	( cd ${top_srcdir}/project && ${INSTALL} -m 644 ChangeLog package.description package.summary ${DESTDIR}${PREFIX}${prefix}/share/doc/${package}-${version} )
 	${INSTALL} -m 644 ${top_srcdir}/src/README ${DESTDIR}${PREFIX}${prefix}/share/doc/${package}-${version}
 	${INSTALL} -m 644 LBUG.pdf ${DESTDIR}${PREFIX}${prefix}/share/doc/${package}-${version}
 	${INSTALL} -m 644 LBAG.pdf ${DESTDIR}${PREFIX}${prefix}/share/doc/${package}-${version}
@@ -88,7 +86,7 @@
 	rm -rvf dist ${package}-*.tar.gz
 
 distclean:
-	rm -rvf Makefile.inc *.spec debian/
+	rm -rvf project/changelog Makefile.inc *.spec debian/
 
 
 # dependencies:
