=== debian/changelog ===
glite-lb-doc (1.4.14-1) stable; urgency=low

  * Automatically generated package

 -- CESNET Product Teams <emi-lb@metacentrum.cz>  Mon, 24 Jun 2013 10:02:46 +0200
