=== debian/rules ===
--- 
+++ 
@@ -39,7 +39,7 @@
 	dh_installdirs
 	$(MAKE) install DESTDIR=$(CURDIR)/debian/tmp
 	mkdir -p debian/$(p_base)/usr/share/doc
-	mv debian/tmp/usr/share/doc/glite-lb-doc-1.4.11 debian/$(p_base)/usr/share/doc/$(p_base)
+	mv debian/tmp/usr/share/doc/glite-lb-doc-1.4.14 debian/$(p_base)/usr/share/doc/$(p_base)
 
 binary-indep: install
 	dh_testdir
