## glite-lb-doc 1.4.15

=== debian/changelog ===
glite-lb-doc (1.4.15-1) stable; urgency=low

  * Automatically generated package

 -- CESNET Product Teams <emi-lb@metacentrum.cz>  Fri, 22 Nov 2013 11:57:48 +0100
