=== debian/rules ===
--- 
+++ 
@@ -11,7 +11,7 @@
 configure: configure-stamp
 configure-stamp:
 	dh_testdir
-	/usr/bin/perl ./configure --thrflavour= --nothrflavour= --root=/ --prefix=/usr --libdir=lib --project=emi --module lb.doc
+	/usr/bin/perl ./configure --thrflavour= --nothrflavour= --root=/ --prefix=/usr --libdir=lib --docdir=/usr/share/doc/$(p_base) --project=emi --module lb.doc
 	touch $@
 
 build: build-indep
@@ -39,7 +39,7 @@
 	dh_installdirs
 	$(MAKE) install DESTDIR=$(CURDIR)/debian/tmp
 	mkdir -p debian/$(p_base)/usr/share/doc
-	mv debian/tmp/usr/share/doc/glite-lb-doc-1.4.14 debian/$(p_base)/usr/share/doc/$(p_base)
+	mv debian/tmp/usr/share/doc/$(p_base) debian/$(p_base)/usr/share/doc/$(p_base)
 
 binary-indep: install
 	dh_testdir
