=== debian/control ===
--- 
+++ 
@@ -6,12 +6,8 @@
 Standards-Version: 3.9.1
 Section: doc
 Homepage: http://glite.cern.ch
-DM-Upload-Allowed: yes
-Vcs-Cvs: :pserver:anonymous@jra1mw.cvs.cern.ch:/cvs/jra1mw
-Vcs-Browser: http://jra1mw.cvs.cern.ch/cgi-bin/jra1mw.cgi
 
 Package: glite-lb-doc
-Section: doc
 Architecture: all
 Depends: ${misc:Depends}
 Description: gLite Logging and Bookkeeping documentation
