=== debian/rules ===
#!/usr/bin/make -f

DPKG_EXPORT_BUILDFLAGS = 1
-include /usr/share/dpkg/buildflags.mk

p_base=glite-lb-doc

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1

# parallel build not supported (problems with pdflatex)
%:
	dh $@ --fail-missing

override_dh_auto_configure: config.status
config.status:
	./configure --root=/ --prefix=/usr --libdir=lib --docdir=/usr/share/doc/$(p_base) --os-type=debian --project=emi

override_dh_auto_clean: config.status
	make clean

override_dh_clean:
	dh_clean
	rm -vf Makefile.inc config.status *.spec
