=== debian/watch ===
version=3
http://scientific.zcu.cz/emi/emi.lb.doc/glite-lb-doc-(.*)\.tar\.gz
